Results 1 to 3 of 3

Thread: gem install errors

  1. #1
    Just burned his ISO
    Join Date
    Mar 2009
    Posts
    14

    Default gem install errors

    On the Metasploit Unleashed Wiki under the Karmetasploit instructions it has you install some ruby gems as such :

    Code:
    gem install activerecord sqlite3-ruby
    My persistant usb installed backtrack4 machine spits out this error

    ERROR: could not find gem activerecord locally or in a repository
    ERROR: could not find gem sqlite3-ruby locally or in a repository
    Any help would be greatly appreciated.

  2. #2
    Developer
    Join Date
    Mar 2007
    Posts
    6,124

    Default

    Not sure about the metasploit tutorial but normally you have to add a gems repository if its a non standard one. Here is the github for gems and some instructu=ions on how to do it once you locate the proper repo.

    GitHub RubyGems

  3. #3
    Just burned his ISO
    Join Date
    Mar 2009
    Posts
    14

    Default

    I just tried it on another BT4 install and it worked fine. I must have borked something in this install.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •